
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/hisax/elsa_cs.c |    8 ++++++++
 1 files changed, 8 insertions(+)

diff -puN drivers/isdn/hisax/elsa_cs.c~pcmcia-id_table-for-elsa_csc drivers/isdn/hisax/elsa_cs.c
--- 25/drivers/isdn/hisax/elsa_cs.c~pcmcia-id_table-for-elsa_csc	Sun Mar  6 17:28:18 2005
+++ 25-akpm/drivers/isdn/hisax/elsa_cs.c	Sun Mar  6 17:28:18 2005
@@ -508,6 +508,13 @@ static int elsa_cs_event(event_t event, 
     return 0;
 } /* elsa_cs_event */
 
+static struct pcmcia_device_id elsa_ids[] = {
+	PCMCIA_DEVICE_PROD_ID12("ELSA AG (Aachen, Germany)", "MicroLink ISDN/MC ", 0x983de2c4, 0x333ba257),
+	PCMCIA_DEVICE_PROD_ID12("ELSA GmbH, Aachen", "MicroLink ISDN/MC ", 0x639e5718, 0x333ba257),
+	PCMCIA_DEVICE_NULL
+};
+MODULE_DEVICE_TABLE(pcmcia, elsa_ids);
+
 static struct pcmcia_driver elsa_cs_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -515,6 +522,7 @@ static struct pcmcia_driver elsa_cs_driv
 	},
 	.attach		= elsa_cs_attach,
 	.detach		= elsa_cs_detach,
+	.id_table	= elsa_ids,
 };
 
 static int __init init_elsa_cs(void)
_
